Subject: Re: [PATCH] compat/fopen.c: avoid clobbering the system defined fopen macro

From: "H.Merijn Brand" <[email-masked]>
Date: Thu, 8 May 2008 12:37:32 +0200

On Thu, 8 May 2008 08:27:48 +0100, "Mike Ralphson"
<[email-masked]> wrote:

> 2008/5/7 Brandon Casey <[email-masked]>:
> >
> > Some systems define fopen as a macro based on compiler settings.
> > The previous technique for reverting to the system fopen function
> > by merely undefining fopen is inadequate in this case. Instead,
> > avoid defining fopen entirely when compiling this source file.
> >
> > Signed-off-by: Brandon Casey <[email-masked]>
> >
> 
> Tested-by: Mike Ralphson <[email-masked]>
> 
> Both with and without -D_LARGE_FILES. Many thanks.
> 
> H.Merijn, is this change also ok for your HP-UX?

I'm not really actively following the ML anymore, as it is kinda busy :)
I was able to compile/test/install 1.5.5.1 on HP-UX 11.00/32 and on
HP-UX 11.23-ilp64 with a reasonable small set of additional changes.

Main thing I found to make most tests that used to fail now pass is to
use bash, instead of HP's native POSIX shell.

http://www.xs4all.nl/~procura/git-1.5.5.1-11.00.diff
http://www.xs4all.nl/~procura/git-1.5.5.1-11.23.diff

We - as a company - now actively use git on HP-UX 11.00 and Linux

> I guess there may still be a case for not defining _LARGE_FILES by
> default on AIX as all the warnings may be off-putting or mask other
> issues.

I also have AIX, but I hate it, and don't really care about it. It's
just that we have some poor customers whose IT people forced this OS
upon them.

> Maybe instead having a comment for those who need large pack-file
> support? Will submit amended Makefile patch if there's interest.

-- 
H.Merijn Brand         Amsterdam Perl Mongers (http://amsterdam.pm.org/)
using & porting perl 5.6.2, 5.8.x, 5.10.x  on HP-UX 10.20, 11.00, 11.11,
& 11.23, SuSE 10.1 & 10.2, AIX 5.2, and Cygwin.       http://qa.perl.org
http://mirrors.develooper.com/hpux/            http://www.test-smoke.org
                        http://www.goldmark.org/jeff/stupid-disclaimers/